# Update Redemption Status
source: https://developer.mastercard.com/digital-redemptions/documentation/use-cases/redemptions/update-redemption-status/index.md

## Overview {#overview}

This use case provides ability to the fulfilment partners to record the fulfilment status of a redemption - whether it is delayed, cancelled etc. Typical valid status values are: Back Order(B), Invoice Received(I), Order Sent(N), Order Placed(O), Shipping Date(S).
Note: Consultation with regional account/product team is recommended before using above values in requests.

## Sequence diagram {#sequence-diagram}

Diagram update-redemption-status

##### Following are the execution steps: {#following-are-the-execution-steps}

1. The consumer signs into the customer application.
2. The customer authenticates the consumer.
3. The customer sends a signed request to the Digital Redemptions for performing updating the redemption status for a given redemptionId.

* The request for update redemption requires the following mandatory request parameters:
  * **redemptionId** : Unique identifier of redemption transaction assigned by Mastercard Rewards System and sent to Vendor in initial XML Redemption fulfilment request.
  * **statusCode** : Denotes current status of the redemption (If the statusCode is 'B' then backOrderDate is a mandatory field).

4. Mastercard Network API Gateway authenticates/authorizes the customer and routes the request to the Digital Redemptions in the case of a valid customer.
5. The Digital Redemptions Service validates the request parameters received via the `PUT /redemptions` endpoint.
6. The Digital Redemptions Service performs updating the redemption status for the given redemptionId.
7. The Digital Redemptions Service sends a response with Successful Update message (200).
8. The Digital Redemptions Service sends a response with a status code of 4xx/5xx in case of an invalid request.

You will receive an error response for an invalid request or any missing request parameter. In that case, you need to update the input and perform step 3 again.

## Endpoint {#endpoint}


API Reference: `PUT /redemptions`

